Index: contrib/fulltextindex/README.fti
===================================================================
RCS file: /var/lib/cvs/pgsql-server/contrib/fulltextindex/README.fti,v
retrieving revision 1.5
diff -c -r1.5 README.fti
*** contrib/fulltextindex/README.fti	2 Sep 2002 06:27:04 -0000	1.5
--- contrib/fulltextindex/README.fti	15 Jan 2003 02:43:27 -0000
***************
*** 13,23 ****
  
  But this does not use any indices, and therefore, if your database
  gets very large, it will not have very high performance (the above query
! requires at least one sequential scan, it probably takes 2 due to the
! self-join).
  
  The approach used by this add-on is to define a trigger on the table and
! columns you want to do this queries on. On every insert in the table, it
  takes the value in the specified columns, breaks the text in these columns
  up into pieces, and stores all sub-strings into another table, together
  with a reference to the row in the original table that contained this
--- 13,22 ----
  
  But this does not use any indices, and therefore, if your database
  gets very large, it will not have very high performance (the above query
! requires a sequential scan of the table).
  
  The approach used by this add-on is to define a trigger on the table and
! columns you want to do these queries on. On every insert to the table, it
  takes the value in the specified columns, breaks the text in these columns
  up into pieces, and stores all sub-strings into another table, together
  with a reference to the row in the original table that contained this
***************
*** 27,33 ****
  substrings that occur in the original table. By making a join between
  the fti-table and the orig-table, we can get the actual rows we want
  (this can also be done by using subselects - but subselects are currently
! inefficient in Postgres, and maybe there're other ways too).
  
  The trigger code also allows an array called StopWords, that prevents
  certain words from being indexed.
--- 26,32 ----
  substrings that occur in the original table. By making a join between
  the fti-table and the orig-table, we can get the actual rows we want
  (this can also be done by using subselects - but subselects are currently
! inefficient in PostgreSQL, and maybe there're other ways too).
  
  The trigger code also allows an array called StopWords, that prevents
  certain words from being indexed.
